<p>Nakon što smo u opis sklopa uključili biblioteku <code>ieee</code> i potrebne tipove podataka, slijedi nam
   opis sučelja sklopa.</p>

<p>Što je sučelje sklopa?</p>

<p>Modelirani sklop, gledan izvana, prema svojoj se okolini predstavlja
   kao crna kutija koja ima određen broj ulaza te određen broj izlaza. Kroz svaki od ulaza odnosno izlaza
   sklop prima/šalje signale određenog tipa. Definiranjem sučelja sklopa korisnik mora ponuditi detaljan opis
   svih ulaza i izlaza.</p>

<p>Naredba kojom se definira sučelje prikazana je u nastavku.</p>
<div style="border-left: 4px solid #0F0; background-color: #cfc; padding: 5px; margin-top: 10px; margin-bottom: 10px;">
<code>ENTITY</code> <em>nazivSklopa</em> <code>IS</code> <code>PORT(</code><br>
&nbsp;&nbsp;<em>deklaracije ulaznih i izlaznih portova</em><br>
<code>);</code><br>
<code>END</code> <em>opcionalno:</em><code>ENTITY</code> <em>opcionalno:nazivSklopa</em> <code>;</code>
</div>

<p>Definicija sučelja započinje ključnom riječi <code>ENTITY</code> nakon čega slijedi
   naziv sklopa čije se sučelje modelira, ključna riječ <code>IS</code>, ključna riječ <code>PORT</code>, 
   znak otvorene oble zagrade, potom slijede definicije ulaza i izlaza,
   potom znak zatvorene oble zagrade, znak točka-zareza i konačno ključna riječ <code>END</code> pa znak točka-zarez.
   Nakon ključne riječi <code>END</code> (a prije točke-zareza) može još doći ključna riječ <code>ENTITY</code>
   te može još doći naziv sklopa (kakav je bio definiran na početku definicije sučelja). Mi ćemo u opisima sklopova
   nakon ključne riječi <code>END</code> pisati naziv sklopa.
</p>

<p>Svaki od ulaza odnosno izlaza naziva se jednim <em>portom</em> sklopa. Definicija porta započinje navođenjem
   naziva porta, slijedi dvotočka, ključna riječ <code>IN</code> (ako je port ulaz) odnosno <code>OUT</code> 
   (ako je port izlaz), naziv tipa podataka čije vrijednosti "putuju" kroz taj signal (odnosno koje se 
   primaju/šalju kroz taj port) te na kraju znak točka-zarez (ali samo ako to nije definicija posljednjeg porta; 
   ako je, znak točka-zarez ne smije se navesti).</p>

<p>Pretpostavimo da modeliramo sučelje sklopa koji smo nazvali <em>sklop1</em> i koji ima
   tri ulaza (<em>A</em>, <em>B</em> i <em>C</em>) te dva izlaza (<em>f</em> i <em>g</em>).
   Sučelje takvog sklopa prikazano je na slici 1.</p>

<figure class="mlFigure">
<img src="@#file#(sklop1i.svg)" alt="Sučelje sklopa"><br>
<figcaption><span class="mlFigKey">Slika 1.</span> Sučelje sklopa <em>sklop1</em>.</figcaption>
</figure>

<p>Definicija tog sučelja jezikom VHDL bila bi sljedeća.</p>
<pre><code>ENTITY sklop1 IS PORT (
  a: IN std_logic;
  b: IN std_logic;
  c: IN std_logic;
  f: OUT std_logic;
  g: OUT std_logic
);
END sklop1;</code></pre>

<p>Definicije portova koji su istog smjera (ulaz/izlaz) i kroz koje putuju signali istog tipa mogu se navesti kraće, 
   tako da se nazivi portova napišu uz razdvajanje znakom zareza. Tako je, primjerice, ekvivalentna definicija 
   prethodno navedenog sučelja prikazana u nastavku.</p>

<pre><code>ENTITY sklop1 IS PORT (
  a, b, c: IN std_logic;
  f, g: OUT std_logic
);
END sklop1;</code></pre>

<p>Uočite kako u oba slučaja, nakon posljednje definicije porta nema znaka točka-zarez.</p>
